On your Products page Zimbra Compatibility with Other Desktop Clients you say that you only support entourage on OSX 10.4. Does that mean anything after 10.4 your not going to support?

All of my macs are running 10.5.6 and having issues with entourage.

Any plans for a new connector for the mac's?